Index: trunk/sources/HeuristicLab.Random/3.3/UniformRandomAdder.cs
===================================================================
--- trunk/sources/HeuristicLab.Random/3.3/UniformRandomAdder.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Random/3.3/UniformRandomAdder.cs	(revision 2524)
@@ -25,5 +25,4 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Constraints;
 
 namespace HeuristicLab.Random {
@@ -91,54 +90,7 @@
       if (value is IntData)
         AddUniform((IntData)value, mt, min, max);
-      else if (value is ConstrainedIntData)
-        AddUniform((ConstrainedIntData)value, mt, min, max);
       else if (value is DoubleData)
         AddUniform((DoubleData)value, mt, min, max);
-      else if (value is ConstrainedDoubleData)
-        AddUniform((ConstrainedDoubleData)value, mt, min, max);
       else throw new InvalidOperationException("Can't handle type " + value.GetType().Name);
-    }
-
-    /// <summary>
-    /// Adds a new double random variable being restricted to some constraints to the value of the given 
-    /// <paramref name="data"/>.
-    /// </summary>
-    /// <exception cref="InvalidProgramException">Thrown when no valid value can be found.</exception>
-    /// <param name="data">The data where to add the new variable and where to assign the new value to.</param>
-    /// <param name="mt">The random number generator.</param>
-    /// <param name="min">The left border of the interval in which the next random number has to lie.</param>
-    /// <param name="max">The right border (exclusive) of the interval in which the next random number
-    /// has to lie.</param>
-    public void AddUniform(ConstrainedDoubleData data, MersenneTwister mt, double min, double max) {
-      for (int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-        double newValue = data.Data + mt.NextDouble() * (max - min) + min;
-        if (IsIntegerConstrained(data)) {
-          newValue = Math.Floor(newValue);
-        }
-        if (data.TrySetData(newValue)) {
-          return;
-        }
-      }
-      throw new InvalidProgramException("Couldn't find a valid value");
-    }
-
-    /// <summary>
-    /// Adds a new int random variable being restricted to some constraints to the value of the given
-    /// <paramref name="data"/>.
-    /// </summary>
-    /// <exception cref="InvalidProgramException">Thrown when no valid value could be found.</exception>
-    /// <param name="data">The data where to add the random value and where to assign the new value to.</param>
-    /// <param name="mt">The random number generator.</param>
-    /// <param name="min">The left border of the interval in which the next random number has to lie.</param>
-    /// <param name="max">The right border (exclusive) of the interval in which the next random number
-    /// has to lie.</param>
-    public void AddUniform(ConstrainedIntData data, MersenneTwister mt, double min, double max) {
-      for (int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-        int newValue = (int)Math.Floor(data.Data + mt.NextDouble() * (max - min) + min);
-        if (data.TrySetData(newValue)) {
-          return;
-        }
-      }
-      throw new InvalidProgramException("Couldn't find a valid value");
     }
 
@@ -168,12 +120,4 @@
       data.Data = (int)Math.Floor(data.Data + mt.NextDouble() * (max - min) + min);
     }
-    private bool IsIntegerConstrained(ConstrainedDoubleData data) {
-      foreach (IConstraint constraint in data.Constraints) {
-        if (constraint is IsIntegerConstraint) {
-          return true;
-        }
-      }
-      return false;
-    }
   }
 }
Index: trunk/sources/HeuristicLab.Random/3.3/UniformRandomizer.cs
===================================================================
--- trunk/sources/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 2523)
+++ trunk/sources/HeuristicLab.Random/3.3/UniformRandomizer.cs	(revision 2524)
@@ -25,5 +25,4 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Constraints;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
@@ -105,10 +104,6 @@
       if (value is DoubleData)
         RandomizeUniform((DoubleData)value, mt, min, max);
-      else if (value is ConstrainedDoubleData)
-        RandomizeUniform((ConstrainedDoubleData)value, mt, min, max);
       else if (value is IntData)
         RandomizeUniform((IntData)value, mt, min, max);
-      else if (value is ConstrainedIntData)
-        RandomizeUniform((ConstrainedIntData)value, mt, min, max);
       else throw new ArgumentException("Can't handle type " + value.GetType().Name);
     }
@@ -137,55 +132,4 @@
         data.Data = (int)Math.Floor(mt.NextDouble() * (max - min) + min);
       }
-
-      /// <summary>
-      /// Generates a new double random number, being restricted to some constraints.
-      /// </summary>
-      /// <exception cref="InvalidOperationException">Thrown when no valid value could be found.</exception>
-      /// <param name="data">The double object which the new value is assigned to and whose constraints
-      /// must be fulfilled.</param>
-      /// <param name="mt">The random number generator.</param>
-      /// <param name="min">The left border of the interval in which the next random number has to lie.</param>
-      /// <param name="max">The right border (exclusive) of the interval in which the next random number
-      /// has to lie.</param>
-      public void RandomizeUniform(ConstrainedDoubleData data, MersenneTwister mt, double min, double max) {
-        for(int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-          double r = mt.NextDouble() * (max - min) + min;
-          if(IsIntegerConstrained(data)) {
-            r = Math.Floor(r);
-          }
-          if(data.TrySetData(r)) {
-            return;
-          }
-        }
-        throw new InvalidOperationException("Couldn't find a valid value");
-      }
-      /// <summary>
-      /// Generates a new int random number, being restricted to some constraints.
-      /// </summary>
-      /// <exception cref="InvalidOperationException">Thrown when no valid value could be found.</exception>
-      /// <param name="data">The int object which the new value is assigned to and whose constraints
-      /// must be fulfilled.</param>
-      /// <param name="mt">The random number generator.</param>
-      /// <param name="min">The left border of the interval in which the next random number has to lie.</param>
-      /// <param name="max">The right border (exclusive) of the interval in which the next random number
-      /// has to lie.</param>
-      public void RandomizeUniform(ConstrainedIntData data, MersenneTwister mt, double min, double max) {
-        for(int tries = MAX_NUMBER_OF_TRIES; tries >= 0; tries--) {
-          int r = (int)Math.Floor(mt.NextDouble() * (max - min) + min);
-          if(data.TrySetData(r)) {
-            return;
-          }
-        }
-        throw new InvalidOperationException("Couldn't find a valid value");
-      }
-
-      private bool IsIntegerConstrained(ConstrainedDoubleData data) {
-        foreach(IConstraint constraint in data.Constraints) {
-          if(constraint is IsIntegerConstraint) {
-            return true;
-          }
-        }
-        return false;
-      }
     }
 }
Index: trunk/sources/HeuristicLab.SGA/3.3/HeuristicLab.SGA-3.3.csproj
===================================================================
--- trunk/sources/HeuristicLab.SGA/3.3/HeuristicLab.SGA-3.3.csproj	(revision 2523)
+++ trunk/sources/HeuristicLab.SGA/3.3/HeuristicLab.SGA-3.3.csproj	(revision 2524)
@@ -99,8 +99,4 @@
       <Name>HeuristicLab.Common-3.2</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.Constraints\3.3\HeuristicLab.Constraints-3.3.csproj">
-      <Project>{19C1E42A-4B48-4EFD-B697-899016F1C198}</Project>
-      <Name>HeuristicLab.Constraints-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Core.Views\3.3\HeuristicLab.Core.Views-3.3.csproj">
       <Project>{E226881D-315F-423D-B419-A766FE0D8685}</Project>
